bambam(6)

NAZWA
bambam - gra w klawiaturę i bazgranie dla małych dzieci

SKŁADNIA
bambam [OPCJE]

OPIS

-u, --uppercase
    Pokazuj WIELKIE litery.

-d, --deterministic-sounds
    Wydawaj te same dźwięki przy tych samych klawiszach.

-D, --dark
    Używaj ciemnego tła zamiast jasnego.

-m, --mute
    Rozpocznij w trybie wyciszonym.

--sticky-mouse
    Rozpocznij w trybie lepkich przycisków myszy.

--sound_blacklist=GLOB
    Lista wzorów nazw plików dźwięków, które nigdy nie mają być odtwarzane.

--image_blacklist=GLOB
    Lista wzorów nazw plików obrazów, które nigdy nie mają być wyświetlane.

--extension=ROZSZERZENIE
    Użyj podanego rozszerzenia.

--wayland-ok
    Nie zapobiegaj działaniu pod Wayland. Patrz UWAGI.

bambam to gra z użyciem klawiatury i myszy dla małych dzieci, napisana w języku Python. Naciskanie klawiszy liter wyświetla je w losowych miejscach i kolorach. Naciskanie innych klawiszy rysuje małe obrazki w losowych miejscach. Przeciąganie myszą z naciśniętym przyciskiem rysuje w losowo zmieniających się kolorach. Ekran jest kasowany losowo.

UWAGI
Aby zakończyć grę, wpisz bezpośrednio na klawiaturze komendę wspomnianą w lewym górnym rogu okna. W Polskim locale jest to słowo: koniec.

Uwaga, istnieją sposoby na to by przełączyć się z bambam do innego programu:

•   bambam nie potrafi obecnie przechwytywać wszystkich naciśnięć klawiszy gdy działa w sesji Wayland. W rezultacie gdy używany jest GNOME Shell, naciśnięcie klawisza Windows (znanego też jako Super) włączy podgląd aktywności. Proszę sprawdzić to w swoim środowisku. Jako środek zapobiegawczy, od wersji 1.1.2 bambam próbuje wykryć, czy działa pod Wayland. Jeśli tak jest, wyświetla ostrzeżenie i odmawia działania. Możesz wyłączyć to zachowanie przy pomocy opcji --wayland-ok.

•   bambam nie blokuje przełączania terminali wirtualnych Linuksa (np. CTRL+ALT+F1). Jeśli chciałbyś to zablokować, zobacz przykładowy plik 50-dont-vt-switch.conf.

•   być może istnieją jeszcze nieznane sposoby w innych środowiskach i zarządcach okien.

Z powyższych powodów, od wersji 1.2.0 jest możliwe i zalecane uruchamianie bambam w dedykowanej sesji logowania.

•   Jednym ze sposobów na to jest wybranie typu sesji BamBam w twoim menedżerze wyświetlania podczas logowania się (szukaj ikony koła zębatego).

•   Innym jest użycie komendy takiej jak exec startx bambam z konsoli tekstowej.

Aby wyłączyć lub włączyć dźwięk, wpisz w trakcie gry słowo dzwiek. Stare komendy wycisz i zglosnij także są nadal są obsługiwane, zostaną one usunięte w przyszłej wersji.

Aby włączyć lub wyłączyć lepkie przyciskie myszy, wpisz w trakcie gry słowo mysz. W tym trybie wystarczy przycisnąć przycisk myszy raz by zacząć lub skończyć rysować.

bambam ładuje obrazy (pliki GIF, JPEG, PNG i TIFF) oraz dźwięki (pliki WAV i OGG) z następujących katalogów:

•   katalog data będący częścią gry,

•   katalog data w podkatalogu $XDG_DATA_HOME programu bambam (zwykle ~/.local/share/bambam/data)

Poszukując plików w tych katalogach, bambam podąża za dowiązaniami symbolicznymi i wchodzi wgłąb katalogów. Dzięki temu można łatwo udostępnić grze pliki umieszczone gdzie indziej.

Od wersji 1.3.0 bambam posiada eksperymentalną obsługę rozszerzeń, czyli sposobu na zmianę działania programu. Bambam ładuje rozszerzenia z następujących katalogów:

•   katalog extensions będący częścią gry,

•   katalog extensions w podkatalogu $XDG_DATA_HOME programu bambam (zwykle ~/.local/share/bambam/extensions)

Więcej na temat tworzenia i modyfikacji rozszerzeń w pliku EXTENSIONS.md.

AUTOR
Spike Burch <spikeb@gmail.com> Marcin Owsiany <marcin@owsiany.pl>